- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
rml::MemPoolPolicy Struct Reference

## Public Types
enum | { TBBMALLOC_POOL_VERSION = 1 }

## Public Member Functions
| MemPoolPolicy (rawAllocType pAlloc_, rawFreeType pFree_, size_t granularity_=0, bool fixedPool_=false, bool keepAllMemory_=false)

## Public Attributes
rawAllocType | pAlloc
rawFreeType | pFree
size_t | granularity
int | version
unsigned | fixedPool: 1
unsigned | keepAllMemory: 1
unsigned | reserved: 30

The documentation for this struct was generated from the following file:

- scalable_allocator.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.